#
# 座位图配置文件
# seatmap.cfg
#
# 按座位的信息，分为3段
# LEVEL  － 票价等级
# STATUS － 座位状态
# KIND   － 座位种类
# SELECTED - 选定

###################  LEVEL ########################
# 仅仅控制颜色，共分12个级别
# A, B, C, D, E, F, G, H, J, K, M, N
# 缺省为黑色
# L - 代表售出的颜色
# S - 代表选定的颜色
#
[LEVEL]
LEVEL_A=$003D68F5
LEVEL_B=$0032C8F0
LEVEL_C=$0064C896
LEVEL_D=$00007800
LEVEL_E=$00F7BE64
LEVEL_F=$0096780A
LEVEL_G=$003C8CF0
LEVEL_H=$00001C79
LEVEL_J=$00416A79
LEVEL_K=$00C6C15F
LEVEL_M=$0076C1B5
LEVEL_N=$00C6C1E8
LEVEL_L=$00999999
LEVEL_S=$00FF0000

###################  STATUS ########################
# 仅仅控制形状，共分
# F － 未售
# B － 已售
# A － 记账
# O － 销售
# G － 赠票
#
# 这几个状态
# 
# 形状代码
# --------------------------------------------------- 
# A - 同F，但内部带一个红色的方块
# B - 等腰三角形
# F - 矩形
# O - 矩形
# G - 直角三角形
# C - 圆形
# T - 侧三角形
[STATUS]
STATUS_F=F
STATUS_B=B
STATUS_A=A
STATUS_O=O
STATUS_G=G

#################### KIND #############################
# 预留票等信息
# 共计9种
# 可以定制的内容包括：
# 名称
# 颜色
# 形状 － 参见STATUS
# 标记 － 英文字母(Arial Narrow)
# 掩码 － 二进制位, 决定采用何种方式来显示
#         Bit 0 - Color
#         Bit 1 - Shape
#         Bit 2 - Flag
# 共计：
#     W,C,X, Y, E,F,K,H,T,Z, 1, 2, 3, 4, 5
#  十五种预留方式
#
[KIND]
W_NAME=网上可售
W_COLOR=$00F0F0F0
W_SHAPE=F
W_FLAG=W
W_MASK=$04

C_NAME=场馆保留票
C_COLOR=$00F0F0F0
C_SHAPE=F
C_FLAG=C
C_MASK=$04

X_NAME=不可出售票
X_COLOR=$000000FF
X_SHAPE=F
X_FLAG=X
X_MASK=$04

Y_NAME=演出商保留
Y_COLOR=$00F0F0F0
Y_SHAPE=F
Y_FLAG=Y
Y_MASK=$07

Z_NAME=剧场专卖
Z_COLOR=$00F0F0F0
Z_SHAPE=F
Z_FLAG=Z
Z_MASK=$04

E_NAME=剧场专卖一
E_COLOR=$00F0F0F0
E_SHAPE=F
E_FLAG=一
E_MASK=$04

F_NAME=剧场专卖二
F_COLOR=$00F0F0F0
F_SHAPE=F
F_FLAG=二
F_MASK=$04

K_NAME=剧场专卖三
K_COLOR=$00F0F0F0
K_SHAPE=F
K_FLAG=三
K_MASK=$04

H_NAME=剧场专卖四
H_COLOR=$00F0F0F0
H_SHAPE=F
H_FLAG=四
H_MASK=$04

T_NAME=剧场专卖五
T_COLOR=$00F0F0F0
T_SHAPE=F
T_FLAG=五
T_MASK=$04

1_NAME=警卫票
1_COLOR=$00F0F0F0
1_SHAPE=F
1_FLAG=J
1_MASK=$04

2_NAME=公安票
2_COLOR=$00F0F0F0
2_SHAPE=F
2_FLAG=G
2_MASK=$04

3_NAME=防涨票
3_COLOR=$00F0F0F0
3_SHAPE=F
3_FLAG=F
3_MASK=$04

4_NAME=特殊票1
4_COLOR=$00F0F0F0
4_SHAPE=F
4_FLAG=1
4_MASK=$04

5_NAME=特殊票2
5_COLOR=$0010FF00
5_SHAPE=F
5_FLAG=2
5_MASK=$07


